> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Extended points summary (total, rank, and league tiers)



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /extended/points
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /extended/points:
    get:
      tags:
        - Extended
      summary: Get Extended points summary (total, rank, and league tiers)
      operationId: ExtendedController_getPoints
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedPointsStatsDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    ExtendedPointsStatsDto:
      type: object
      properties:
        liquidityRewardLeague:
          description: >-
            League tier earned from liquidity provision; null when not yet
            ranked in this category
          anyOf:
            - type: string
              enum:
                - KING
                - KNIGHT
                - PAWN
                - QUEEN
                - ROOK
              description: >-
                Reward league tier, from KING (highest) down through QUEEN,
                ROOK, KNIGHT to PAWN
              example: PAWN
            - type: 'null'
        rank:
          description: >-
            Overall leaderboard rank across all participants; null when not yet
            ranked
          example: 42290
          anyOf:
            - type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            - type: 'null'
        referralRewardLeague:
          description: >-
            League tier earned from referrals; null when not yet ranked in this
            category
          anyOf:
            - type: string
              enum:
                - KING
                - KNIGHT
                - PAWN
                - QUEEN
                - ROOK
              description: >-
                Reward league tier, from KING (highest) down through QUEEN,
                ROOK, KNIGHT to PAWN
              example: PAWN
            - type: 'null'
        totalPoints:
          type: string
          description: Total points earned across all seasons and epochs
          example: '0.1'
        tradingRewardLeague:
          description: >-
            League tier earned from trading activity; null when not yet ranked
            in this category
          anyOf:
            - type: string
              enum:
                - KING
                - KNIGHT
                - PAWN
                - QUEEN
                - ROOK
              description: >-
                Reward league tier, from KING (highest) down through QUEEN,
                ROOK, KNIGHT to PAWN
              example: PAWN
            - type: 'null'
      required:
        - totalPoints
      title: ExtendedPointsStats
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.